#!/bin/bash

# Change to the directory this file lives in
cd "`dirname \"$0\"`"
cd BackEnd

if [ -e /usr/bin/enchanting-helper ] ; then
	# Use previously installed Enchanting script; allows use of framebuffer
	LAUNCHER="/usr/bin/enchanting-frontend"
else
	# Use Scratch script (known to be installed, but only works under X11)
	LAUNCHER="/usr/bin/scratch"
fi

./run "$LAUNCHER" --image ../FrontEnd/Enchanting.image ${@}
